UbuntuUpdates.org

Package "strongswan"




Name: strongswan

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • standalone IPsec client
  • strongSwan IPsec client, systemd support
  • strongSwan charon library (extra plugins)
  • transitional package

Latest version: *DELETED*
Release: focal (20.04)
Level: proposed
Repository: universe

Links



Other versions of "strongswan" in Focal

Repository Area Version
base universe 5.8.2-1ubuntu3
base main 5.8.2-1ubuntu3
updates main 5.8.2-1ubuntu3.1
updates universe 5.8.2-1ubuntu3.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2020-06-05 17:07:32 UTC
No changelog for deleted or moved packages.

Version: 5.8.2-1ubuntu3.1 2020-05-27 04:07:14 UTC

  strongswan (5.8.2-1ubuntu3.1) focal; urgency=medium

  * Re-enable eap-{dynamic,peap} libcharon plugins (LP: #1878887)
    - d/control: update libcharon-extra-plugins description.
    - d/libcharon-extra-plugins.install: install .so and conf files.
    - d/rules: add plugins to the configuration arguments.
  * Remove conf files of plugins removed from libcharon-extra-plugins
    - The conf file of the following plugins were removed: eap-aka-3gpp2,
      eap-sim-file, eap-sim-pcsc, eap-sim, eap-simaka-pseudonym,
      eap-simaka-reauth, eap-simaka-sql, xauth-noauth.
    - Created d/libcharon-extra-plugins.maintscript to handle the removals
      properly.
  * Add patches to fix the chunk_from_chars() macro compiled with GCC 9+
    (LP: #1879692)
    - Patches backported from upstream: lp-1879692-{1,2,3,4,5}.patch.
    - Fix the pki CA certificate creation issue.

 -- Lucas Kanashiro <email address hidden> Fri, 22 May 2020 10:53:07 -0300

1878887 [SRU] No EAP-PEAP support anymore
1879692 [SRU] Strongswan pki creates CA certificates with invalid Key Usage flags



About   -   Send Feedback to @ubuntu_updates